org.gradle.plugins.javascript.rhino.worker

## Class RhinoWorkerSpec<R extends Serializable,P extends Serializable>

- java.lang.Object
- - org.gradle.plugins.javascript.rhino.worker.RhinoWorkerSpec<R,P>

- All Implemented Interfaces:
    Serializable

      public class RhinoWorkerSpec<R extends Serializable,P extends Serializable>
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RhinoWorkerSpec(Class<R> resultType, Class<P> payloadType, Class<? extends RhinoWorker<R,P>> workerType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<P>` | `getPayloadType()`
    `Class<R>` | `getResultType()`
    `Class<? extends RhinoWorker<R,P>>` | `getWorkerType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RhinoWorkerSpec

          public RhinoWorkerSpec(Class<R> resultType,
                         Class<P> payloadType,
                         Class<? extends RhinoWorker<R,P>> workerType)

  - ### Method Detail

    - #### getResultType

          public Class<R> getResultType()

    - #### getPayloadType

          public Class<P> getPayloadType()

    - #### getWorkerType

          public Class<? extends RhinoWorker<R,P>> getWorkerType()